Can't install visit to use with deal.ii

Asked by Strahinja on 2020-05-06

I have installed visit 3.1.1 on my Ubuntu 20.04 LTS following guides from Visit website, but when I execute visit command, I get:

Error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory.

I have done system update via apt-get update, but no luck. So I am wondering if anybody here could help me.

Thank you in advance.

P.S. I am totally new to Linux and Ubuntu

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu deal.ii Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2020-05-08
Last query:
2020-05-08
Last reply:
2020-05-06
Best Manfred Hampl (m-hampl) said : #1

libicui18n.so.63 is not available on Ubuntu 20.04. It has been superseded by libicui18n.so.66

It seems that the software has not yet been adapted to run on Ubuntu 20.04.
Please contact the source where you got it.

Yeah, that was the problem, I switched to an older Ubuntu version and now it works. Thank zou

Thanks Manfred Hampl, that solved my question.